
QGIS Application - Bug report #13098

GeoJSON vector issue

2015-07-09 05:06 AM - Lucas Barbosa Cavalcante Cavalcante

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.10.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 21164

Description

Quando abro o QGIS e tendo abrir um arquivo vetorial em GeoJSON, ele simplesmente não abre da forma correta, se o arquivo tem por

exemplo 300 pontos ele abre 2, a tabela de atributos mantém os 300. Percebi que o erro não ocorre caso eu importe um shp, por

exemplo, converta ele para geojson e depois abra novamente meu arquivo, ele abre normal.

Related issues:

Duplicates QGIS Application - Bug report # 11587: all coordinates truncated t... Closed 2014-11-06

History

#1 - 2015-07-09 05:13 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

Please file tickets in english. Regarding your problem please attach sample data to allow us replicate the problem, obrigado!

#2 - 2015-07-10 05:38 PM - Lucas Barbosa Cavalcante Cavalcante

- Status changed from Closed to Reopened

- File teste.geojson added

When I open the QGIS and try to open a vector file in GeoJSON , it just does not open correctly , if the file has for example 300 points it opens 2, the

attribute table keeps 300. I realized that the error does not occur if I care one shp , for example , convert it to GeoJSON and then open again my file , it

opens normal.

#3 - 2015-07-31 01:27 AM - Giovanni Manghi

- Priority changed from High to Normal

- Resolution deleted (invalid)

- Status changed from Reopened to Feedback

- Category set to Vectors

- Subject changed from GeoJSON com problema de visualização to GeoJSON vector issue

Lucas Barbosa Cavalcante Cavalcante wrote:

When I open the QGIS and try to open a vector file in GeoJSON , it just does not open correctly , if the file has for example 300 points it opens 2, the

attribute table keeps 300. I realized that the error does not occur if I care one shp , for example , convert it to GeoJSON and then open again my file

, it opens normal.
you must also write the title in English.

The file you attached has 64 points, and they all show in the map, and as well in the attribute table. Where is the issue?

#4 - 2015-07-31 07:40 AM - Lucas Barbosa Cavalcante Cavalcante

- Target version set to Version 2.10

- Assignee set to Giovanni Manghi

Recalling that the operating system I use which QGIS is presenting this error which can be seen in the image 10.png that have attached to the call , is

Ubuntu 14.04 LTS x64. Already detected that the problem does not occur in windows .

#5 - 2015-07-31 07:43 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

- Assignee deleted (Giovanni Manghi)

I also use Ubuntu 14.04 64 bit.

What error should I see in the attached screenshot? What is in the screenshot is related to the attached sample data?

Note:

prefere explicar em Português (não neste bug tracker, mas escrevendo para mim de forma particular)?

#6 - 2015-11-10 03:42 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.

#7 - 2015-12-05 06:08 AM - Martin Weis

This is a duplicate of #11587

Files

10.png 372 KB 2015-07-09 Lucas Barbosa Cavalcante Cavalcante

teste.geojson 27.8 KB 2015-07-10 Lucas Barbosa Cavalcante Cavalcante
